Subject: Re: bug#29737: 27.0.50; pixel-scroll-mode is laggy

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Dec 2017 11:20:36 +0200

> Date: Sat, 23 Dec 2017 12:18:56 +0900 (JST)
> Cc: [email-masked], [email-masked], [email-masked]
> From: Tak Kunihiro <[email-masked]>
> 
> > I'd like to fix this on the release branch, not on master.  Is the
> > patch you sent good to go to the release branch?  Does it solve the
> > display lags mentioned in the bug report?
> 
> Yes, the patch I sent is good to go to the release branch.

Thanks, pushed to the release branch.

> I'm not 100% sure what 'the display lag' meant.

It meant very slow scrolling, with redisplay falling far behind.
After applying the patch, I see a definite improvement on my system.

> After the patch, at least I tested with MacBook and do not recognize
> 'the display lag'.

Right.  Valentin, could you please see whether this change makes the
problem go away, or at least makes it much less of a problem?  TIA.